setwd("C:/cwru/classes/epbi473_05/lec4(riskModels)")
rm(list=ls(all=TRUE))
d<-read.table("lifeUSA2001.txt",header=T)
d=transform(d,mage=c(0.5,3,seq(7.5,97.5,5),105))
m=d[d$Sex=="males",]
f=d[d$Sex=="females",]
attach(m)
plot(mage,nqx,log="y",type="l",col="blue",xlab="Age",ylab="Probability per year",main="Mortality rates (2001)")
detach(m)
attach(f)
lines(mage,nqx,type="l",col="red")
legend("topleft",legend=c("US males","US females"),lty=1,col=c("blue","red"),bty="n")
detach(f)

d<-read.table("lifeJapan2001.txt",header=T)
d=transform(d,mage=c(0.5,3,seq(7.5,97.5,5),105))
m=d[d$Sex=="males",]
f=d[d$Sex=="females",]
attach(m)
lines(mage,nqx,type="l",lty=2,col="blue")
detach(m)
attach(f)
lines(mage,nqx,type="l",col="red",lty=2)
legend("bottomright",legend=c("Japanese males","Japanese females"),lty=2,col=c("blue","red"),bty="n")
detach(f)

